using System;

namespace InABox.Integration.Logikal
{

    public class LogikalBOMRequest : AbstractLogikalPartsRequest
    {

        public override LogikalMethod Method() => LogikalMethod.BOM;

        public Guid[] ElevationIDs { get; private set; }

        public LogikalBOMRequest(Guid projectid, 
            Guid[] elevationids, 
            string finishQuery, 
            string profileQuery, 
            string gasketQuery,
            string componentQuery, 
            string glassQuery, 
            string labourQuery, 
            bool includeExcelData,
            bool includeSqliteData)
        : base(projectid, finishQuery, profileQuery, gasketQuery, componentQuery, glassQuery, labourQuery, includeExcelData, includeSqliteData)
        { 
            ElevationIDs = elevationids;
        }
    }


}