﻿using System;

namespace InABox.Integration.Logikal
{
    public class LogikalElevationDetailRequest : AbstractLogikalPartsRequest
    {

        public override LogikalMethod Method() => LogikalMethod.ElevationDetail;

        public Guid[] IDs { get; private set; }

        public LogikalElevationDetailRequest(Guid projectid, Guid[] ids, string finishQuery, string profileQuery, string gasketQuery, string componentQuery, string glassQuery, string labourQuery, bool includeExcelData, bool includeSqliteData)
        : base(projectid, finishQuery, profileQuery, gasketQuery, componentQuery, glassQuery, labourQuery, includeExcelData, includeSqliteData)
        {
            IDs = ids;
        }
    }

}